Bug 989866 - Review Request: discord - A program that generates beats for brainwave entrainment
Review Request: discord - A program that generates beats for brainwave entrai...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 01:43 EDT by Christopher Meng
Modified: 2013-11-22 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-30 01:43:13 EDT
Spec URL: http://cicku.me/discord.spec
SRPM URL: http://cicku.me/discord-3.2.1-2.fc20.src.rpm
Description: Generate binaural, pulse, and phase beats for brain wave entrainment. Mix 
with internally generated tones and noise or user sound files. Play 
immediately or write to file. Requires a text script file to specify 
sound sequences, many samples provided.
Fedora Account System Username: cicku
Comment 1 Yohan Graterol 2013-08-12 10:33:39 EDT
Please check the SPEC, don't build.
Comment 2 Christopher Meng 2013-08-12 20:19:55 EDT
Can you paste the log of your building time?

I don't submit broken packages to bugzilla, please tell me the details.
Comment 3 Yohan Graterol 2013-08-12 21:22:02 EDT
> + make -j4
> Making all in .
> make[1]: Entering directory `/builddir/build/BUILD/discord-3.2.1'
> make[1]: Nothing to be done for `all-am'.
> make[1]: Leaving directory `/builddir/build/BUILD/discord-3.2.1'
> Making all in src
> make[1]: Entering directory `/builddir/build/BUILD/discord-3.2.1/src'
> gcc -DPACKAGE_NAME=\"discord\" -DPACKAGE_TARNAME=\"discord\" -DPACKAGE_VERSION=\"3.2.1\" -DPACKAGE_STRING=\"discord\ 3.2.1\" -DPACKAGE_BUGREPORT=\"stanlk@users.sourceforge.net\" -DPACKAGE=\"discord\" -DVERSION=\"3.2.1\" -DHAVE_LIBASOUND=1 -DHAVE_LIBM=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBFLAC=1 -DHAVE_LIBOGG=1 -DHAVE_LIBSAMPLERATE=1 -DHAVE_LIBVORBIS=1 -DHAVE_LIBVORBISFILE=1 -DHAVE_LIBVORBISENC=1 -DHAVE_LIBSNDFILE=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_STDIO_H=1 -DHAVE_ERRNO_H=1 -DHAVE_ALSA_ASOUNDLIB_H=1 -DHAVE_SYS_TIMES_H=1 -DHAVE_SYS_SOUNDCARD_H=1 -DHAVE_SAMPLERATE_H=1 -DHAVE_SNDFILE_H=1 -DHAVE_MATH_H=1 -DHAVE_STDARG_H=1 -DHAVE_TIME_H=1 -DHAVE_GETOPT_H=1 -DHAVE_POLL_H=1 -DHAVE_PTHREAD_H=1 -DHAVE_DLFCN_H=1 -Dconst=/\*\*/ -Dinline= -Dsize_t=unsigned\ int -DHAVE_LONG_LONG_INT=1 -Dintmax_t=long\ long\ int -DTM_IN_SYS_TIME=1 -DHAVE_REALLOC=1 -DHAVE_STAT_EMPTY_STRING_BUG=1 -DHAVE_VPRINTF=1 -DHAVE_FLOOR=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MEMSET=1 -DHAVE_POW=1 -DHAVE_SQRT=1 -DHAVE_STRCASECMP=1 -DHAVE_STRCHR=1 -DHAVE_STRDUP=1 -DHAVE_STRTOL=1 -I.     -O3 -W -Wall  -c discord.c
> ccache: FATAL: Failed to create /tmp/ccache/1/9: Permission denied
> make[1]: Leaving directory `/builddir/build/BUILD/discord-3.2.1/src'
> make[1]: *** [discord.o] Error 1
> make: *** [all-recursive] Error 1
Comment 4 Michael Schwendt 2013-08-13 03:42:48 EDT
> ccache: FATAL: Failed to create /tmp/ccache/1/9: Permission denied

A problem with ccache would be outside the scope of this review request. You would need to examine that permissions problem on your build machine yourself.


> … -DHAVE_STRTOL=1 -I.     -O3 -W -Wall  -c discord.c

That's not Fedora's %optflags:
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 5 Yohan Graterol 2013-08-13 08:43:49 EDT
You're right! I'm check it in my computer.

Koji built http://koji.fedoraproject.org/koji/taskinfo?taskID=5811692
Comment 6 Mario Blättermann 2013-08-24 07:00:20 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5848776

$ rpmlint -i -v *
discord.armv7hl: I: checking
discord.armv7hl: W: spelling-error Summary(en_US) entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.armv7hl: W: spelling-error %description -l en_US binaural -> bin aural, bin-aural, inaugural
The value of this tag appears to be misspelled. Please double-check.

discord.armv7hl: W: spelling-error %description -l en_US entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.armv7hl: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord.armv7hl: E: non-executable-script /usr/share/discord/convert_sbg_to_discord.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

discord.armv7hl: E: incorrect-fsf-address /usr/share/doc/discord/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

discord.i686: I: checking
discord.i686: W: spelling-error Summary(en_US) entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.i686: W: spelling-error %description -l en_US binaural -> bin aural, bin-aural, inaugural
The value of this tag appears to be misspelled. Please double-check.

discord.i686: W: spelling-error %description -l en_US entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.i686: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord.i686: E: non-executable-script /usr/share/discord/convert_sbg_to_discord.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

discord.i686: E: incorrect-fsf-address /usr/share/doc/discord/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

discord.src: I: checking
discord.src: W: spelling-error Summary(en_US) entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.src: W: spelling-error %description -l en_US binaural -> bin aural, bin-aural, inaugural
The value of this tag appears to be misspelled. Please double-check.

discord.src: W: spelling-error %description -l en_US entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.src: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord.src:24: W: rpm-buildroot-usage %prep rm -f %{buildroot}%{_datadir}/%{name}/README
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

discord.src: I: checking-url http://downloads.sourceforge.net/project/discord/discord-3.2.1.tar.bz2 (timeout 10 seconds)
discord.x86_64: I: checking
discord.x86_64: W: spelling-error Summary(en_US) entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.x86_64: W: spelling-error %description -l en_US binaural -> bin aural, bin-aural, inaugural
The value of this tag appears to be misspelled. Please double-check.

discord.x86_64: W: spelling-error %description -l en_US entrainment -> entertainment, entrancement, entrapment
The value of this tag appears to be misspelled. Please double-check.

discord.x86_64: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord.x86_64: E: non-executable-script /usr/share/discord/convert_sbg_to_discord.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

discord.x86_64: E: incorrect-fsf-address /usr/share/doc/discord/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

discord-debuginfo.armv7hl: I: checking
discord-debuginfo.armv7hl: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord-debuginfo.armv7hl: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

discord-debuginfo.i686: I: checking
discord-debuginfo.i686: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord-debuginfo.i686: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

discord-debuginfo.x86_64: I: checking
discord-debuginfo.x86_64: I: checking-url http://discord.sourceforge.net (timeout 10 seconds)
discord-debuginfo.x86_64: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

discord.spec:24: W: rpm-buildroot-usage %prep rm -f %{buildroot}%{_datadir}/%{name}/README
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

discord.spec: I: checking-url http://downloads.sourceforge.net/project/discord/discord-3.2.1.tar.bz2 (timeout 10 seconds)
7 packages and 1 specfiles checked; 9 errors, 14 warnings.


Some old FSF addresses, which are worth to be reported upstream.

Please remove the shebang from /usr/share/discord/convert_sbg_to_discord.py.

The debuginfo package is empty. In most cases this is due to wrong upstream compiler flags. Discord is written in C, the following change should help:

make CFLAGS='%{optflags}' %{?_smp_mflags}


The rpm-buidroot-usage warning should be taken as serious. As far as I can see, discord installs the README file in /usr/share/discord, but you want to have it in %doc. Your command in %prep doesn't do the trick:

$ rpm -qpl discord-3.2.1-2.fc20.i686.rpm
/usr/bin/discord
/usr/share/discord
/usr/share/discord/README
...
/usr/share/doc/discord/README
/usr/share/man/man1/discord.1.gz

You have to remove the README file in %build after running configure and make or even after make install.
Comment 7 Mario Blättermann 2013-09-15 13:14:24 EDT
Any progress here?
Comment 8 Mario Blättermann 2013-09-30 15:07:52 EDT
(In reply to Mario Blättermann from comment #7)
> Any progress here?

The same question again...?
Comment 9 Christopher Meng 2013-09-30 19:04:35 EDT
On holiday, not ready.
Comment 10 Mario Blättermann 2013-10-27 12:55:20 EDT
Back from holidays now...?

Note You need to log in before you can comment on or make changes to this bug.